logica

## Class Listas

- java.lang.Object
- - logica.Listas

    public class Listas
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Listas()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String[][]` `listaActividades(Asignatura asignatura)` Entrega una lista con los datos de las actividades de una asignatura.
`static java.lang.String[][]` `listaAnotaciones(Estudiante estudiante)` Genera la lista de anotaciones de un estudiante
`static java.lang.String[][]` `listaApoderados()` Genera la lista de apoderados del sistema
`static java.lang.String[]` `listaAsignaturas(Curso curso)` Genera la lista de asignaturas presente en un curso
`static java.lang.String[][]` `listaAsignaturas(Profesor profesor)` Genera la lista de asignaturas que imparte un profesor
`static java.lang.String[][]` `listaAsignaturasProfesor(Curso curso)` Genera una lista con las asignaturas y el profesor de estas de un curso
`static java.lang.String[][]` `listaAsistencia(Estudiante estudiante)` Genera la lista de asistencias de un estudiante.
`static java.lang.String[]` `listaCursos()` Entrega la lista de cursos del sistema
`static java.lang.String[][]` `listaEstudiantes(Apoderado apoderado)` Genera la lista de estudiantes de un apoderado.
`static java.lang.String[][]` `listaEstudiantes(Curso curso)` Genera la lista de estudiantes de un curso.
`static java.lang.String[][]` `listaNotas(Estudiante estudiante, Asignatura asignatura)` Genera la lista de notas de un estudiante en una asignatura.
`static java.lang.String[]` `listaProfesor()` Genera una lista con los profesores del colegio
`static java.lang.String[][]` `listaProfesores()` Genera la lista de profesores con nombre y rut
`static java.lang.String[]` `listaProfesores(Curso curso)` Entrega la lista de los profesores de un curso del sistema.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Listas

    public Listas()

### Method Detail

#### listaActividades

    public static java.lang.String[][] listaActividades(Asignatura asignatura)

Entrega una lista con los datos de las actividades de una asignatura. Tiene 2 indices, el primero muestra la fecha, el segundo muestra el tipo.

Parameters:
  `asignatura` - Asignatura a la que pertenecen las activiadades
Returns:
  La lista con los datos de las actividades de la asignatura

#### listaCursos

    public static java.lang.String[] listaCursos()

Entrega la lista de cursos del sistema

Returns:
  Retorna la lista de cursos con el formato nivel-letra

#### listaProfesor

    public static java.lang.String[] listaProfesor()

Genera una lista con los profesores del colegio

Returns:
  La lista con los ruts de los profesores del colegio.

#### listaProfesores

    public static java.lang.String[] listaProfesores(Curso curso)

Entrega la lista de los profesores de un curso del sistema.

Parameters:
  `curso` - Curso al que le hace clase los profesores
Returns:
  Lista con los ruts de los profesores del sistema.

#### listaProfesores

    public static java.lang.String[][] listaProfesores()

Genera la lista de profesores con nombre y rut

Returns:
  Retorna la lista, en el primer indice muestra el nombre de un profesor y en el segundo almacena el rut.

#### listaEstudiantes

    public static java.lang.String[][] listaEstudiantes(Curso curso)

Genera la lista de estudiantes de un curso.

Parameters:
  `curso` - Curso del cual se quiere la lista de estudiantes
Returns:
  La lista con los estudiantes, en el primer indice se encuentra el nombre y en el segundo el rut.

#### listaApoderados

    public static java.lang.String[][] listaApoderados()

Genera la lista de apoderados del sistema

Returns:
  La lista con los apoderados del sistema, en el primer indice se encuentra el nombre y en el segundo el rut.

#### listaEstudiantes

    public static java.lang.String[][] listaEstudiantes(Apoderado apoderado)

Genera la lista de estudiantes de un apoderado.

Parameters:
  `apoderado` - Apoderado al cual pertencen los estudiantes que se buscan.
Returns:
  La lista de estudiantes del apoderado, en el primer indice se encontrara el nombre, y en el segundo el rut.

#### listaAnotaciones

    public static java.lang.String[][] listaAnotaciones(Estudiante estudiante)

Genera la lista de anotaciones de un estudiante

Parameters:
  `estudiante` - Estudiante al que pertenecen estas anotaciones
Returns:
  Retorna la lista generada, en el primer indice almacenara el nombre y en el segundo el rut.

#### listaAsistencia

    public static java.lang.String[][] listaAsistencia(Estudiante estudiante)

Genera la lista de asistencias de un estudiante.

Parameters:
  `estudiante` - Estudiante al que pertencen las asistencias
Returns:
  Retorna la lista de asistencias del estudiante indicando la fecha y si asistio o no.

#### listaNotas

    public static java.lang.String[][] listaNotas(Estudiante estudiante,
                                                  Asignatura asignatura)

Genera la lista de notas de un estudiante en una asignatura.

Parameters:
  `estudiante` - Estudiante al que pertencen las notas
  `asignatura` - Asignatura al que pertenecen las notas del estudiante.
Returns:
  La lista generada solo tienen un indice apesar de que entrege un array doble.

#### listaAsignaturas

    public static java.lang.String[] listaAsignaturas(Curso curso)

Genera la lista de asignaturas presente en un curso

Parameters:
  `curso` - Curso al que se le buscaran sus asignaturas.
Returns:
  La lista con los nombres de las asignaturas

#### listaAsignaturasProfesor

    public static java.lang.String[][] listaAsignaturasProfesor(Curso curso)

Genera una lista con las asignaturas y el profesor de estas de un curso

Parameters:
  `curso` - Curso al que pertencen las asignaturas
Returns:
  La lista generada, en el primer indice esta el nombre de la asignatura y en el segundo el rut del profesor

#### listaAsignaturas

    public static java.lang.String[][] listaAsignaturas(Profesor profesor)

Genera la lista de asignaturas que imparte un profesor

Parameters:
  `profesor` - Profesor que imparte las asignaturas
Returns:
  Retorna la lista generada, en el primer indice el nombre de la asignatura y en el segundo el curso en el que la imparte